Name: elinks
Version: 0.10.5
Release: alt1

Summary: Lynx-like text WWW browser with many features
License: GPL
Group: Networking/WWW

URL: http://elinks.or.cz
Source: http://elinks.or.cz/download/%name-%version.tar.bz2

Patch1: %name-0.10.4-alt-owl-tmp.patch
Patch2: %name-0.9.1-owl-vitmp.patch
Patch3: %name-0.9.1-owl-no-xterm-title.patch
Patch4: %name-0.10.1-alt-owl-no-uname-leak.patch
Patch5: %name-0.10-alt-owl-external-programs.patch
Patch6: %name-0.10.1-alt-owl-man.patch

Patch10: %name-0.5-alt-pld-lua-scripts-fixes.patch
Patch11: %name-0.5-alt-hooks.patch
Patch12: %name-0.5-alt-default-lang-charset.patch
Patch13: %name-0.10-alt-dialog-height.patch
Patch14: %name-0.10-alt-lua5-libs.patch

# alternatives
%set_compress_method gzip
%define weight 30
PreReq: alternatives >= 0.2.0
BuildPreReq: alternatives >= 0.2.0

# javascript disabled by default
%def_without spidermonkey
%if_with spidermonkey
BuildPreReq: libjs-devel
%add_optflags -I%_includedir/js
%endif

Provides: webclient, links
Provides: %_bindir/links
Obsoletes: links

# Added by buildreq2 on Thu May 05 2005
BuildRequires: bzlib-devel libexpat-devel libgpm-devel liblua5-devel libssl-devel samba-client tetex-core unzip zlib-devel

%description
ELinks is advanced text-mode web browser with wide scale of additional
features and extensibility by possibility to plug in own scripts in Lua
language. This project aims to provide feature-rich version of Links,
with more open patches/features inclusion policy.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch10 -p1
%patch11 -p1
#patch12 -p1
%patch13 -p1
%patch14 -p1

%__unzip -d icons contrib/LinksOS2Icon.zip

%build
%configure --without-x --sysconfdir=%_sysconfdir/%name %{subst_enable debug} \
	--enable-cgi --enable-finger --enable-gopher --enable-nntp --enable-smb \
	--enable-256-colors --disable-leds \
	%{subst_with spidermonkey} --without-idn \
	#
%make_build CFLAGS="%optflags -Werror -fno-strict-aliasing"

cd doc
texi2html -monolithic *.texi

%install
%makeinstall

%__mkdir_p %buildroot%_menudir
%__cat <<__EOF__ >%buildroot%_menudir/%name
?package(%name): \
	command="%_bindir/%name" \
	needs="text" \
	icon="%name.png" \
	section="%group" \
	title="ELinks" \
	longtitle="%summary"
__EOF__

%__mkdir_p %buildroot%_altdir
%__cat <<__EOF__ >%buildroot%_altdir/%name
%_bindir/links		%_bindir/%name		%weight
%_man1dir/links.1.gz	%_man1dir/%name.1.gz	%_bindir/%name
__EOF__

%__install -pD -m644 icons/LinksIconSmallColor.png %buildroot%_miconsdir/%name.png
%__install -pD -m644 icons/LinksIcon32x32VGA.png %buildroot%_iconsdir/%name.png
%__install -pD -m644 icons/LinksIconXGA16.png %buildroot%_liconsdir/%name.png

%__mkdir_p %buildroot%_sysconfdir/%name
cat <<__EOF__ >%buildroot%_sysconfdir/%name/%name.conf
# ALT defaults for ELinks.
# See elinks.conf(5) for details.
# Use Options manager for customization.

# Assume VT100 colored terminal.
set terminal._template_.colors = 1
set terminal._template_.type = 1

# Vi-style scrolling.
bind "main" "k" = "scroll-up"
bind "main" "j" = "scroll-down"

# Smart prefixes for ALT bugzilla.
set protocol.rewrite.smart.altbug = "https://bugzilla.altlinux.org/buglist.cgi?component=%0&component_type=substring&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED"
set protocol.rewrite.smart.altbugno = "https://bugzilla.altlinux.org/show_bug.cgi?id=%0"
__EOF__

%find_lang %name

%post
%register_alternatives %name
%update_menus

%preun
%unregister_alternatives %name

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/%name.conf
%_man1dir/%name.*
%_man5dir/%{name}*
%_menudir/%name
%_altdir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%doc AUTHORS BUGS NEWS README SITES THANKS TODO
%doc doc/*.txt doc/*.html

%changelog
* Thu May 05 2005 Alexey Tourbin <at@altlinux.ru> 0.10.5-alt1
- 0.10.4 -> 0.10.5

* Wed Apr 06 2005 Alexey Tourbin <at@altlinux.ru> 0.10.4-alt1
- 0.10.3 -> 0.10.4

* Thu Mar 03 2005 Alexey Tourbin <at@altlinux.ru> 0.10.3-alt1
- 0.10.2 -> 0.10.3

* Thu Feb 03 2005 Alexey Tourbin <at@altlinux.ru> 0.10.2-alt1
- 0.10.1 -> 0.10.2
- added smart prefixes (altbug and altbugno) for ALT bugzilla to elinks.conf

* Thu Jan 06 2005 Alexey Tourbin <at@altlinux.ru> 0.10.1-alt1
- 0.10pre3 -> 0.10.1
- build without JavaScript by default
- build without libidn
- %_docdir/%name-%version/contrib not packaged

* Mon Nov 08 2004 Alexey Tourbin <at@altlinux.ru> 0.10-alt0.2
- 0.10pre2 -> 0.10pre3

* Thu Oct 07 2004 Alexey Tourbin <at@altlinux.ru> 0.10-alt0.1
- 0.9.1 -> 0.10pre2
- enabled JavaScript, Finger, Gopher, NNTP, international domain names
- updated patches
- upgraded to new alternatives format
- rebuilt with lua5:
  + /etc/elinks/hooks.lua not packaged
  + smart prefixes available under `Options Manager/Protocol/URI Rewrite'
  + old hooks.lua for lua4 available in %_docdir/%name-%version/contrib/lua

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.1-alt4.1
- Rebuilt with openssl-0.9.7d.

* Fri Mar 19 2004 Alexey Tourbin <at@altlinux.ru> 0.9.1-alt4
- cvs-listbox-segfault.patch: fixes elinks bug #391 (oh my)
- cvs-menu-segfault.patch: fixes elinks bug #394

* Sat Feb 07 2004 Alexey Tourbin <at@altlinux.ru> 0.9.1-alt3
- Owl patches updated:
  * Fri Feb 06 2004 Michail Litvak <mci@owl.openwall.com> 0.9.1-owl4
  - Fix yet another bug in -owl-tmp patch (Thanks to Maxim Timofeyev).

* Mon Feb 02 2004 Alexey Tourbin <at@altlinux.ru> 0.9.1-alt2
- Owl patches updated:
  * Sun Feb 01 2004 Solar Designer <solar@owl.openwall.com> 0.9.1-owl3
  - Don't leak kernel version information (uname -srm) via User-Agent by
  default.
  * Sun Feb 01 2004 Michail Litvak <mci@owl.openwall.com> 0.9.1-owl2
  - Fix bug in -owl-tmp patch (Thanks to Alexey Tourbin for report).

* Fri Jan 30 2004 Alexey Tourbin <at@altlinux.ru> 0.9.1-alt1
- 0.9.1, many new features compared to 0.4.3, see NEWS
- features revision:
  + enabled: 256 colors, SMB protocol, local CGI support
  + built-in URI rewriting kept enabled (hooks.lua prefixes still work)
- Owl patches merged in:
  * Sun Jan 25 2004 Solar Designer <solar@owl.openwall.com> 0.9.0-owl2
  - Use vitmp in textarea_edit().
  - Minor corrections to the temporary file handling patch.
  - Do not set xterm window title (it wasn't getting reset when Elinks is
  exited, the URL wasn't sanitized before being used as a part of a terminal
  escape sequence, and some xterm's and window managers are known to have
  vulnerabilities exploitable via the window title string).
  - Don't define external programs for tn3270, gopher, news, and irc URLs by
  default.
  - When invoking external programs, treat '-' as an unsafe character unless
  it is preceded by a safe non-whitespace one.
  - man page corrections and updates of the "see also" lists for Owl.
  * Wed Jan 21 2004 Michail Litvak <mci@owl.openwall.com> 0.9.0-owl1
  - Switch from Links to ELinks.
- install icons from contrib
- more docs packaged; ChangeLog not packaged (NEWS is enough)
- alt-default-lang-charset.patch disabled: system language detection
  re-implemented upstream, system charset is in progress

* Thu Nov 27 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt7
- 0.4.3 finally released

* Tue Sep 16 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt6rc2
- alt-owl-tmp.patch disabled again since it breaks things down

* Wed Sep 10 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt4rc2
- alt-owl-tmp.patch resurrected (the use of tempnam(3) eliminated)
- gcc -Werror enabled

* Thu Sep 04 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt3rc2
- 0.4.3rc2
- cpan (=search.cpan.org) added to hooks.lua

* Fri Jun 20 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt2rc1
- rebuild to fit to new lua4-devel package

* Tue Jun 10 2003 Alexey Tourbin <at@altlinux.ru> 0.4.3-alt1rc1
- 0.4.3rc1

* Wed May 27 2003 Alexey Tourbin <at@altlinux.ru> 0.4.2-alt8
- cvs fixes (20030526); patches reordered
- increase height for big dialogs (alt-dialog-height.patch)
- use colors and frames for all terminals by default

* Thu May 08 2003 Alexey Tourbin <at@altlinux.ru> 0.4.2-alt7
- cvs fixes (REL_0_4 20030507)
- added alt (=search.altlinux.ru) and atmsk (=atmks.ru) hooks

* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4.2-alt6
- new alternatives config format

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4.2-alt5
- PreReq fixes

* Wed Mar 12 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4.2-alt4
- update buildreqs

* Tue Mar 11 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4.2-alt3
- move to new alternatives scheme
  warning to mantainter: alternatives removing must be in preun
- added packager tag

* Fri Mar 07 2003 Alexey Tourbin <at@altlinux.ru> 0.4.2-alt2
- alt-default-lang-charset (according to locale settings) patch

* Sun Jan 26 2003 Alexey Tourbin <at@altlinux.ru> 0.4.2-alt1
- 0.4.2 (a few fixes)
- alt-owl-tmp patch disabled; this requires extra study

* Tue Jan 21 2003 Alexey Tourbin <at@altlinux.ru> 0.4.1-alt1cvs
- 0.4.1 (bugfix release) + current-stable fixes (cvs-20030120 patch;
  my env-http_proxy patch accepted)
- fixed %%postun code
- lua-scripts-fixes patch integrated (PLD Team)
- yandex search added to hooks.lua (alt-hooks patch)
- COPYING points to /usr/share/license/GPL-2

* Tue Dec 24 2002 Alexey Tourbin <at@altlinux.ru> 0.4.0-alt1
- initial build (based on links1-0.98-alt3)
